Bug 161079 - Missing BuildRequires dependency on which
Missing BuildRequires dependency on which
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: Omni (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-06-20 10:20 EDT by Andreas Thienemann
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-20 10:32:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2005-06-20 10:20:04 EDT
During a testbuild of Omni-0.9.1-7.1 in mock, the rebuild process
stops with the following error:

Linking "HP LaserJet" to "HPLaserJet"
./setupOmni: line 367: which: command not found
./setupOmni: line 369: which: command not found
Error: XML parser is undetected!
+ cd Foomatic
++ pwd
+ make localInstall FOOMATICROOT=/builddir/build/BUILD/Omni/Foomatic
make: *** No rule to make target `localInstall'.  Stop.
error: Bad exit status from /var/tmp/rpm-tmp.38709 (%build)

Adding which to the BuildRequires: list should fix this problem.
Comment 1 Tim Waugh 2005-06-20 10:32:15 EDT
Thanks for the report.  Omni is no longer present on the development branch, and
so I am changing the status of this bug report to WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.